Support Center

Are there any technical requirements to use Aisle Planner?

Aisle Planner is a cloud based software service, so you’ll need an internet connection and a modern web browser to access our service. For the best possible experience, we recommend using the latest versions of Google Chrome or Apple Safari.

While you can certainly access Aisle Planner on Internet Explorer or Mozilla Firefox, we’ve found that the experience is not as optimal with these web browsers.  Save yourself from possible issues and make the switch to Chrome or Safari!

Scroll to Top